Subject: ANNOUNCE: libnet-1.05
From: Graham Barr <[email-masked]>
Date: 12 Mar 1997 13:58:32 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I have just uploaded to CPAN a new release of the libnet distribution.

This release contains a lot of changes from the previous release, probably
too many, I would strongly suggest testing any scripts with this release
before you install it.

libnet is a collection of perl modules which encapsulate the usage
of various protocols used in the internet community. These include

  Net::FTP     (RFC959)
  Net::SMTP    (RFC821)
  Net::Netrc
  Net::Cmd
  Net::Domain
  Net::Telnet  (RFC854)
  Net::Time    (RFC867 & RFC868)
  Net::NNTP    (RFC977)
  Net::POP3    (RFC1939)
  Net::SNPP    (RFC1861)
  Net::PH
  Net::Config

To install libnet you ***MUST*** have the following modules installed

  Data::Dumper
  IO::Socket

This release contains the following changes to the previous release

	o Net::NNTP, Net::SMTP, Net::PH, Net::POP3, Net::SNPP
	  - Fixed a bug in new so that the for loop uses a different
	    variable for $host, otherwise $host is undef after the loop
	o Net::PH
	  - Fixed a bug in add and delete for when a string is passed
	    instead of an anonymous hash.
	o Net::Time
	  - Added timeout argument
	o Configure, Net::Time
	  - Added time_hosts and daytime_hosts to NetConfig
	o Net::Domain
	   - Added POSIX uname to methods for obtaining the hostname
	   - Increased the priority of /etc/resolv.conf when looking for
	     domain name
	   - Added the use of syscall for domainname
	o Net::FTP
	  - fixed problem with data channel being left open if there
	    was an error from the command in _data_cmd

	  - Change made to _datacon fir the case where PASV is being
	    used and the command returns an error immediately.

	  - Modified _store_cmd to call abort if it fails to send a packet
	    of data.
	o Added nntp.mirror demo by "Paul E. Hoffman" <[email-masked]>
	o Applied Net::FTP::_extract_path patch from
		Roderick Schertler <[email-masked]>, Thanks!
	o Applied Net::SMTP documentation patch from
		Gisle Aas <[email-masked]>, Thanks!
	o Applied Net::FTP documentation patch from
		Roderick Schertler <[email-masked]>, Thanks!
	o Fixed Net::NNTP to return undef if initial response from
	  the server is
	    502 You have no permission to talk.  Goodbye.
	o Fixed Net::FTP to work with brain-dead MS FTP servers
	o Added site wide passive stuff to Configure and Net::FTP
	o Net::Config is now self-modifying
	o Fixed a bug in Net::Cmd::datasend for quotting lines that start
	  with .
	o Modified Configure script
	o added skeleton tests ftp.t, smtp.t, nntp.t, ph.t
	o minor bug fixes to NNTP and FTP

It should be avaliable on mirror sites soon from

	http://www.perl.com/CPAN/authors/Graham_Barr/

Comments are always very welcome.

Copyright 1996 Graham Barr. All rights reserved.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

Share and Enjoy!
Graham <[email-masked]>
-- 
Graham Barr                                               <[email-masked]>
Q: How do you pronounce Linux?
A: Here in Fort Collins, it's LIN-uhks. As one poster said before, rhymes
   with "win sucks".  For that reason alone, I find it the most appealing.
	--Michael Merideth <[email-masked]> in comp.os.linux.misc